Package be.e_contract.ejsf.component.browser

# Enum Class Browser

java.lang.Object
java.lang.Enum<Browser>
be.e_contract.ejsf.component.browser.Browser

All Implemented Interfaces:
  `Serializable`, `Comparable<Browser>`, `java.lang.constant.Constable`

public enum Browser extends Enum<Browser>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CHROME`
`EDGE`
`FIREFOX`
`SAFARI`
`UNKNOWN`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`static Browser`
`toBrowser(String name)`
`static Browser`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Browser[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CHROME

public static final Browser CHROME

### EDGE

public static final Browser EDGE

### FIREFOX

public static final Browser FIREFOX

### SAFARI

public static final Browser SAFARI

### UNKNOWN

public static final Browser UNKNOWN

## Method Details

### values

public static Browser[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Browser valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getName

public String getName()

### toBrowser

public static Browser toBrowser(String name)